Vagrant.configure("2") do |config|
  config.vm.box = "bento/debian-12"

  config.vm.define "cchauvetS" do |server|
    server.vm.hostname = "cchauvetS"
    server.vm.network "private_network", :ip => "192.168.56.110"
    server.vm.provider "virtualbox" do |vb|
      vb.cpus = "2"
      vb.memory = "2048"
    end
    server.vm.provision "shell", path: "scripts/k3s.sh"
  end
end
